
QGIS Application - Bug report #9059

Qgis crashes when using identify or opening raster properties, when OTRF is ON and the project 

has many layers

2013-11-13 03:47 AM - iacopo zetti

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 17706

Description

When I try to open the layer properties command on a raster or to use the identifier on a raster layer Qgis crashes. This happen only if the

project is composed by several layers and if I do the same with one or a few raster layers everything goes well.

I tested the problem with the 2.0 on debian wheezy and with the 2.1 on ubuntu 13.04

Everything seems to go well if the project is composed only by vector layers.

History

#1 - 2013-11-13 03:50 AM - Giovanni Manghi

- Priority changed from Normal to High

- Target version set to Future Release - High Priority

- Affected QGIS version changed from 2.0.1 to master

- Crashes QGIS or corrupts data changed from No to Yes

Can you add more details?

in what CRS is your project? Are you using OTRF? what formats have your rasters? When it happens (the crash) it can happen with any raster?

#2 - 2013-11-13 05:43 AM - iacopo zetti

It happens while I'm using Monte Mario zone 1 and WGS 84 /UTM zone 32N, I haven't tested with other CRS.

Yes OTRF is enabled, if disabled no crash occurs.

Raster format is mainly geoTiff. The first time it happened in the project I had also an Arc/Info Binary Grid, but it happens also with project where I have

only Geotiff.

The crash is immediate, as soon you click with the identifier or double click on the layer name or right click and then click on layer properties.

And finally yes, all my raster layers seems to present the same problem if inserted in a project with many layers, but no problem with the same layers in a

project with just some layers.

#3 - 2013-11-13 04:44 PM - Giovanni Manghi

- Category set to Rasters

- Status changed from Open to Feedback

- Subject changed from Qgis crashes when using identify or opening layer properties to Qgis crashes when using identify or opening raster properties, 

when OTRF is ON and the project has many layers

I can remember ever seeing this issue, but this means nothing. I will do tests on Ubuntu and Windows, but to rule out local issues it would be nice if you
could test with a) no plugins active b) another machine

#4 - 2013-11-14 01:50 PM - iacopo zetti

I have done the test: yes it happens with two different computers (Ubuntu 13.04 and debian wheezy). Yes it happens also with any plugin active.

#5 - 2013-11-15 07:32 AM - Giovanni Manghi

iacopo zetti wrote:

I have done the test: yes it happens with two different computers (Ubuntu 13.04 and debian wheezy). Yes it happens also with any plugin active.

can you please create and share a sample project and data where it possible to replicate the issue? thanks.

#6 - 2013-11-16 12:57 PM - iacopo zetti

I opened again today two of the project that caused the problem and now (after a new upgrade) no problem. Apparently the upgrade solved the problem.

What I have to do in this situation; I have to share project and data or not?

#7 - 2013-11-17 12:59 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

iacopo zetti wrote:

What I have to do in this situation; I have to share project and data or not?

no, just do it if the issue surface again.
